org.apache.olingo.commons.api.edm.provider

## Class CsdlEnumMember

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlEnumMember

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlEnumMember
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl enum member.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlEnumMember()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getName()` Gets name.
    `String` | `getValue()` Gets value.
    `CsdlEnumMember` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlEnumMember` | `setName(String name)` Sets name.
    `CsdlEnumMember` | `setValue(String value)` Sets value.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlEnumMember

          public CsdlEnumMember()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlEnumMember setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### getValue

          public String getValue()

      Gets value.
      Returns:
        the value

    - #### setValue

          public CsdlEnumMember setValue(String value)

      Sets value.
      Parameters:
        `value` - the value
      Returns:
        the value

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlEnumMember setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.